%define upstream_name    Audio-CD
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 28

Summary:	Perl interface to libcdaudio
License:	GPL
Group:		Development/Perl
Url:		http://home.wanadoo.nl/jano/disc-cover.html
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Audio-CD-0.05-Fix-gcc14-build.patch
BuildRequires:	pkgconfig(libcdaudio)
BuildRequires:	perl-devel

%description
This module was created for adding CDDB support to Xmms::shell and cd
tray eject.  Methods for a good chunk of other libcdaudio functions
were added, but the docs and glue are not complete.

NOTE: This version has been altered by J.I. van Hemert
<jvhemert@cs.leidenuniv.nl> to suit the needs of Disc-Cover. Please
start with the original package if you wish to develop something.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install
chmod 644 README

%files
%doc README
%{perl_vendorarch}/Audio
%{perl_vendorarch}/auto/Audio
%{_mandir}/*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.50.0-28.mga10
+ Revision: 2226389
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 neoclust <neoclust> 0.50.0-27.mga10
+ Revision: 2088695
- Fix build against newer Gcc
- Rebuild against new perl

* Fri Dec 01 2023 tv <tv> 0.50.0-26.mga10
+ Revision: 2012059
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.50.0-25.mga9
+ Revision: 1861538
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.50.0-24.mga9
+ Revision: 1795467
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.50.0-23.mga9
+ Revision: 1726390
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.50.0-22.mga8
+ Revision: 1594255
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.50.0-21.mga8
+ Revision: 1529340
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.50.0-20.mga8
+ Revision: 1433333
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.50.0-19.mga7
+ Revision: 1291800
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 0.50.0-18.mga7
+ Revision: 1248945
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.50.0-17.mga7
+ Revision: 1163138
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.50.0-16.mga7
+ Revision: 1149449
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.50.0-15.mga7
+ Revision: 1126680
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-14.mga6
+ Revision: 1022602
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-13.mga6
+ Revision: 956723
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.50.0-12.mga6
+ Revision: 844136
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-11.mga5
+ Revision: 750598
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-10.mga5
+ Revision: 683559
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.50.0-9.mga5
+ Revision: 630803
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-8.mga4
+ Revision: 524697
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-7.mga4
+ Revision: 431369
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-6.mga3
+ Revision: 363230
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 jquelin <jquelin> 0.50.0-5.mga3
+ Revision: 322335
- rpm group change

* Wed May 30 2012 jquelin <jquelin> 0.50.0-4.mga3
+ Revision: 250269
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 0.50.0-3.mga2
+ Revision: 103452
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.50.0-2.mga1
+ Revision: 9343
- imported package perl-Audio-CD


* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.50.0-2mdv2011.0
+ Revision: 555422
- rebuild

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 406836
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.05-10mdv2009.0
+ Revision: 255344
- rebuild

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 0.05-8mdv2008.1
+ Revision: 151831
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-7mdv2008.0
+ Revision: 85919
- rebuild


* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:27:51 (58375)
- mkrel

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:25:03 (58374)
Import perl-Audio-CD

* Sun Jun 26 2005 Götz Waschk <waschk@mandriva.org> 0.05-5mdk
- rebuild to fix bug #16551

* Mon Nov 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.05-4mdk
- rebuild for new perl

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.05-3mdk
- own dir

* Thu Jan 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-2mdk
- rebuild
- drop patch, new version already carries modifications

* Fri Nov 28 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-1mdk
- new version

* Thu Oct 23 2003 Götz Waschk <waschk@linux-mandrake.com> 0.04-11mdk
- fix deps
- rebuild with fixed gcc (bug #6192)

